# Retry the transfer of a failed source for a specific database by re-queuing it for processing

Retries a failed attempt to transfer a source file into a database. Only sources with a transfer state of `Failed` can be retried.

Endpoint: PUT /transfers/databases/{databaseName}/sources/{sourceName}
Version: 3.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `databaseName` (string, required)
    The name of the target database for the transfer.

  - `sourceName` (string, required)
    The name of the source to retry. This is the file or blob name returned in the `location` response header when you [started the transfer](#operation/startItemsTransfer).

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `DatabaseName` (string)
    The name of the target database for the transfer.
    Example: master

  - `SourceName` (string)
    The name of the source associated with the transfer (blob name).
    Example: content-transfer-12345678-1234-1234-1234-123456789abc.raif

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `Error` (string)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `Error` (string)

